Bug 832288 - [Ivy Bridge] X crashes when resizing glxgears window
[Ivy Bridge] X crashes when resizing glxgears window
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 00:57 EDT by Dariusz Garbowski
Modified: 2013-07-31 13:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:45:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (74.13 KB, text/plain)
2012-06-15 01:05 EDT, Dariusz Garbowski
no flags Details
Output of dmesg (104.91 KB, text/plain)
2012-06-15 01:34 EDT, Dariusz Garbowski
no flags Details

  None (edit)
Description Dariusz Garbowski 2012-06-15 00:57:22 EDT
Description of problem:
----------------
X crashes when resizing glxgears window.

Version-Release number of selected component (if applicable):
----------------
$ rpm -qa |grep drm
libdrm-devel-2.4.33-3.fc17.x86_64
libdrm-2.4.33-3.fc17.x86_64

$ rpm -qa |grep mesa
mesa-libGLES-8.0.3-1.fc17.x86_64
mesa-libglapi-8.0.3-1.fc17.x86_64
mesa-libGL-devel-8.0.3-1.fc17.x86_64
mesa-dri-filesystem-8.0.3-1.fc17.x86_64
mesa-libxatracker-8.0.3-1.fc17.x86_64
mesa-libGL-8.0.3-1.fc17.x86_64
mesa-libGLU-devel-8.0.3-1.fc17.x86_64
mesa-libEGL-8.0.3-1.fc17.x86_64
mesa-dri-drivers-8.0.3-1.fc17.x86_64
mesa-libgbm-8.0.3-1.fc17.x86_64
mesa-libGLU-8.0.3-1.fc17.x86_64

$ rpm -qa |grep xorg
xorg-x11-drv-ast-0.93.9-6.fc17.x86_64
xorg-x11-drv-cirrus-1.3.2-19.fc17.x86_64
xorg-x11-server-common-1.12.2-1.fc17.x86_64
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-drv-qxl-0.0.22-0.fc17.x86_64
xorg-x11-server-Xephyr-1.12.2-1.fc17.x86_64
xorg-x11-resutils-7.5-3.fc17.x86_64
xorg-x11-drv-vmmouse-12.8.0-1.fc17.x86_64
xorg-x11-font-utils-7.5-7.fc17.x86_64
xorg-x11-utils-7.5-6.fc17.x86_64
xorg-x11-drv-void-1.4.0-8.fc17.x86_64
xorg-x11-drv-intel-2.19.0-1.fc17.x86_64
xorg-x11-drv-vesa-2.3.0-15.fc17.x86_64
xorg-x11-server-utils-7.5-12.fc17.x86_64
xorg-x11-xkb-utils-7.5-6.fc17.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
xorg-x11-drv-mga-1.4.13-19.20120104git9223c44a7.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17.x86_64
xorg-x11-drv-vmware-12.0.2-1.fc17.x86_64
xorg-x11-drv-fbdev-0.4.2-8.fc17.x86_64
xorg-x11-drv-synaptics-1.6.1-1.fc17.x86_64
xorg-x11-apps-7.6-5.fc17.x86_64
xorg-x11-drv-dummy-0.3.5-4.fc17.x86_64
xorg-x11-drv-openchrome-0.2.906-1.fc17.x86_64
xorg-x11-xtrans-devel-1.2.7-1.fc17.noarch
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-drv-wacom-0.14.0-2.fc17.x86_64
xorg-x11-xauth-1.0.7-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-1.fc17.x86_64
xorg-x11-proto-devel-7.6-21.fc17.noarch
xorg-x11-drv-evdev-2.7.0-2.fc17.x86_64

$ rpm -qa |grep glx-utils
glx-utils-7.10-6.20101028.fc17.x86_64


How reproducible:
----------------
Logged into KDE 4.8.3 and started glxgears from konsole.
Started extensively playing with with glxgears window by resizing it and moving all over both monitors (dual head display configuration, if that matters).
Eventually X dies. This is 100% reproducible for me.

Steps to Reproduce:
----------------
1. Start glxgears.
2. Keep resizing and moving the glxgears window until it eventually kills X.

Actual results:
----------------
X crashes: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)

Expected results:
----------------
Stuff works without crashing.

Additional info:
----------------
Dual head setup.

Abrt captured coredump but claims that backtrace is unusable.

cmdline: /usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm-eeyb20/database -seat seat0 -nolisten tcp vt1

smolt_data:
:
:
:General
:=================================
:UUID: 309aefa2-762c-4f4c-b37a-e9059a44b5e3
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7000.26
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz
:CPU Stepping: 9
:CPU Family: 6
:CPU Model Num: 58
:Number of CPUs: 8
:CPU Speed: 3501
:System Memory: 31874
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4332:33128:4163:34053) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(32902:354:4163:33994) pci, i915, VIDEO, N/A
:(32902:7729:4163:33994) pci, xhci_hcd, USB, Panther Point USB xHCI Host Controller
:(32902:7696:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 1
:(32902:7748:4163:33994) pci, None, PCI/ISA, Panther Point LPC Controller
:(32902:7708:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 7
:(32902:7710:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 8
:(32902:7704:4163:33994) pci, pcieport, PCI/PCI, Panther Point PCI Express Root Port 5
:(32902:7712:4163:33819) pci, snd_hda_intel, MULTIMEDIA, Panther Point High Definition Audio Controller
:(6987:37152:4163:33722) pci, ahci, STORAGE, N/A
:(32902:7714:4163:33994) pci, None, SERIAL, Panther Point SMBus Controller
:(32902:7682:4163:33994) pci, ahci, STORAGE, Panther Point 6 port SATA AHCI Controller
:(32902:7725:4163:33994) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #2
:(32902:7718:4163:33994) pci, ehci_hcd, USB, Panther Point USB Enhanced Host Controller #1
:(32902:336:4163:33994) pci, agpgart-intel, HOST/PCI, Ivy Bridge DRAM Controller
:(32902:7738:4163:33994) pci, None, SIMPLE, Panther Point MEI Controller #1
:(32902:9294:4163:33994) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:337:4163:33994) pci, pcieport, PCI/PCI, Ivy Bridge PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 29083290 10948546 9492265 7282688 6685533 6685533
:/dev/sdb1 WITHHELD ext4 4096 4096 487910570 123996011 119112228 122101760 121516949 121516949
:/dev/sda2 /boot ext4 1024 1024 508745 432828 407228 128016 127988 127988
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51080 51080 0 0 0
Comment 1 Dariusz Garbowski 2012-06-15 01:05:22 EDT
Created attachment 592022 [details]
Xorg.0.log
Comment 2 Dariusz Garbowski 2012-06-15 01:34:21 EDT
Created attachment 592024 [details]
Output of dmesg
Comment 3 Dariusz Garbowski 2012-06-22 09:07:25 EDT
Is there anything else I can provide or test to help with this issue?
Comment 4 Fedora End Of Life 2013-07-03 15:22:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 13:45:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.